package com.vendor.burn.packagers.nand;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Messages;
import com.vendor.burn.model.cmdline.adapter.NandImg;
import com.vendor.burn.packagers.nand.FlashOption;
import com.vendor.burn.packagers.nand.NandImageDialog;
import org.eclipse.jface.dialogs.MessageDialog;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;

class null extends SelectionAdapter {
  public void widgetSelected(SelectionEvent e) {
    if (NandImageDialog.this.comboNandType.getSelectionIndex() == -1) {
      MessageDialog.openWarning(NandImageDialog.this.shell, "BurnTool", Messages.NandImageDialog_NandTypeError);
      return;
    } 
    if (NandImageDialog.this.textOobSize.getText() == null || NandImageDialog.this.textOobSize
      .getText().length() == 0 || 
      !NandImageDialog.this.textOobSize.getText().matches("^[0-9]*$")) {
      MessageDialog.openWarning(NandImageDialog.this.shell, "BurnTool", Messages.NandImageDialog_OOBSizeError);
      return;
    } 
    if (Integer.parseInt(NandImageDialog.this.textOobSize.getText()) == 0) {
      MessageDialog.openWarning(NandImageDialog.this.shell, "BurnTool", Messages.NandImageDialog_OOBSizeError);
      return;
    } 
    if (NandImageDialog.this.buttonRandom.getEnabled() && NandImageDialog.this.buttonRandom.getSelection() && NandImageDialog.this.comboBlockSize
      .getSelectionIndex() == -1) {
      MessageDialog.openWarning(NandImageDialog.this.shell, "BurnTool", Messages.NandImageDialog_BlockSizeError);
      return;
    } 
    if (NandImageDialog.this.nandIp instanceof com.vendor.burn.packagers.nand.ip.NandIP620 && 
      NandImageDialog.this.comboBlockSize.getSelectionIndex() == -1) {
      MessageDialog.openWarning(NandImageDialog.this.shell, "BurnTool", Messages.NandImageDialog_BlockSize_NotSelected_Error);
      return;
    } 
    NandImageDialog.this

      
      .selectedFlashOption = new FlashOption(NandImageDialog.this.options[NandImageDialog.this.comboNandType.getSelectionIndex()].getEccType(), NandImageDialog.this.options[NandImageDialog.this.comboNandType.getSelectionIndex()].getPageType(), Integer.parseInt(NandImageDialog.this.textOobSize
          .getText()));
    if (NandImageDialog.this.nandIp instanceof com.vendor.burn.packagers.nand.ip.NandIP620) {
      NandImageDialog.this
        .blockSize = NandImg.getBlockSizeSizes620()[NandImageDialog.this.comboBlockSize.getSelectionIndex()];
    } else if (NandImageDialog.this.comboBlockSize.getSelectionIndex() < 0) {
      NandImageDialog.this.blockSize = -1;
    } else {
      NandImageDialog.this
        .blockSize = NandImg.getBlockSizeSizes620()[NandImageDialog.this.comboBlockSize.getSelectionIndex()];
    } 
    NandImageDialog.this.shell.close();
  }
}
